﻿<UserControl x:Class="VECTO3GUI2020.Views.CustomControls.DateTimePicker"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.CustomControls"
             mc:Ignorable="d" 
             d:DesignHeight="30" d:DesignWidth="200"
             Name="customDateTimePicker"
             >
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="3*"/>
            <ColumnDefinition Width="3*"/>
            <ColumnDefinition Width="1*"/>
        </Grid.ColumnDefinitions>
        <TextBlock Grid.Column="0" 
                   Margin="2 2 2 2"
                   Padding="2 2 2 2"
                   Text="{Binding Label, ElementName=customDateTimePicker}" 
                   Visibility="Visible"/>
        <DatePicker Grid.Column="1" Background="White"
                   Margin="2 2 2 2"
                   Padding="2 2 2 2"
                    SelectedDate="{Binding Date, 
                                    ElementName=customDateTimePicker, 
                                    Mode=TwoWay}" 
                    Visibility="Visible"
                    BorderThickness="1"
                    BorderBrush="DarkGray"/>
    </Grid>
    
</UserControl>
